%global momorel 1

Name: perl-File-RsyncP
Version: 0.68
Release: %{momorel}m%{?dist}
Summary: A perl implementation of an Rsync client
License: GPL
Group: Development/Libraries
URL: http://search.cpan.org/dist/File-RsyncP/
Source0: http://www.cpan.org/modules/by-module/File/File-RsyncP-%{version}.tar.gz
NoSource: 0
Patch1:	File-RsyncP-0.62-logic.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildRequires: %{_bindir}/iconv

%description
File::RsyncP is a perl implementation of an Rsync client. It is compatible with
Rsync 2.5.5 - 2.6.3 (protocol versions 26-28). It can send or receive files,
either by running rsync on the remote machine, or connecting to an rsyncd
daemon on the remote machine.

%prep
%setup -q -n File-RsyncP-%{version}
%patch1 -p0

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%clean
rm -rf %{buildroot}

%check
make test

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorarch}/File/RsyncP.pm
%{perl_vendorarch}/File/RsyncP/
%{perl_vendorarch}/auto/File/RsyncP/
%{_mandir}/man3/*


%changelog
* Mon Jul 16 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.68-1m)
- update to 0.68
- delete patch0

* Fri Jul  6 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.62-1m)
- import to Momonga

* Sun Sep 10 2006 Mike McGrath <imlinux@gmail.com> - 0.62-2
- Rebuild

* Fri Jul 21 2006 Mike McGrath <imlinux@gmail.com> - 0.62-2
- Fixed whitespace issue and removed SMP flags on make

* Thu Jul 20 2006 Mike McGrath <imlinux@gmail.com> - 0.62-1
- Updated to 0.62 and applied two known patches

* Thu Jul 20 2006 Mike McGrath <imlinux@gmail.com> - 0.52-1
- Initial Fedora Packaging
